Package weka.core.pmml.jaxbbindings

# Class PCell

java.lang.Object
weka.core.pmml.jaxbbindings.PCell

public class PCell extends Object

Java class for PCell element declaration.

The following schema fragment specifies the expected content contained within this class.

     <element name="PCell">
       <complexType>
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <sequence>
               <element ref="{http://www.dmg.org/PMML-4_1}Extension" maxOccurs="unbounded" minOccurs="0"/>
             </sequence>
             <attribute name="beta" use="required" type="{http://www.dmg.org/PMML-4_1}REAL-NUMBER" />
             <attribute name="df" type="{http://www.dmg.org/PMML-4_1}INT-NUMBER" />
             <attribute name="parameterName" use="required" type="{http://www.w3.org/2001/XMLSchema}string" />
             <attribute name="targetCategory" type="{http://www.w3.org/2001/XMLSchema}string" />
           </restriction>
         </complexContent>
       </complexType>
     </element>

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `PCell()`
  `PCell(String targetCategory, String parameterName, BigInteger df, double beta)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `double`
  `getBeta()`
  Gets the value of the beta property.
  `BigInteger`
  `getDf()`
  Gets the value of the df property.
  `List<Extension>`
  `getExtension()`
  Gets the value of the extension property.
  `String`
  `getParameterName()`
  Gets the value of the parameterName property.
  `String`
  `getTargetCategory()`
  Gets the value of the targetCategory property.
  `void`
  `setBeta(double value)`
  Sets the value of the beta property.
  `void`
  `setDf(BigInteger value)`
  Sets the value of the df property.
  `void`
  `setParameterName(String value)`
  Sets the value of the parameterName property.
  `void`
  `setTargetCategory(String value)`
  Sets the value of the targetCategory property.

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### PCell

    public PCell()

  - ### PCell

    public PCell(String targetCategory, String parameterName, BigInteger df, double beta)

- ## Method Details

  - ### getExtension

    public List<Extension> getExtension()
    Gets the value of the extension property.

    This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the extension property.

    For example, to add a new item, do as follows:

            getExtension().add(newItem);

    Objects of the following type(s) are allowed in the list `Extension`

  - ### getBeta

    public double getBeta()
    Gets the value of the beta property.

  - ### setBeta

    public void setBeta(double value)
    Sets the value of the beta property.

  - ### getDf

    public BigInteger getDf()
    Gets the value of the df property.
    Returns:
      possible object is `BigInteger`

  - ### setDf

    public void setDf(BigInteger value)
    Sets the value of the df property.
    Parameters:
      `value` - allowed object is `BigInteger`

  - ### getParameterName

    public String getParameterName()
    Gets the value of the parameterName property.
    Returns:
      possible object is `String`

  - ### setParameterName

    public void setParameterName(String value)
    Sets the value of the parameterName property.
    Parameters:
      `value` - allowed object is `String`

  - ### getTargetCategory

    public String getTargetCategory()
    Gets the value of the targetCategory property.
    Returns:
      possible object is `String`

  - ### setTargetCategory

    public void setTargetCategory(String value)
    Sets the value of the targetCategory property.
    Parameters:
      `value` - allowed object is `String`